name: RA2E2 Series
manufacturer:
  id: 0x23
  cc: 0x4
generated_from_pack: true
pack_file_release: 5.3.0
variants:
- name: R7FA2E2A3
  cores:
  - name: main
    type: armv8m
    core_access_options: !Arm
      ap: !v1 0
  memory_map:
  - !Nvm
    name: Flash
    range:
      start: 0x0
      end: 0x4000
    cores:
    - main
    access:
      boot: true
  - !Nvm
    name: ConfigROM
    range:
      start: 0x1010000
      end: 0x1010034
    cores:
    - main
  - !Ram
    name: SRAM1
    range:
      start: 0x20004000
      end: 0x20006000
    cores:
    - main
  - !Nvm
    name: DataFlash
    range:
      start: 0x40100000
      end: 0x40100800
    cores:
    - main
  flash_algorithms:
  - ra2e2_16k
  - ra2e2_data
  - ra2e2_conf
- name: R7FA2E2A5
  cores:
  - name: main
    type: armv8m
    core_access_options: !Arm
      ap: !v1 0
  memory_map:
  - !Nvm
    name: Flash
    range:
      start: 0x0
      end: 0x8000
    cores:
    - main
    access:
      boot: true
  - !Nvm
    name: ConfigROM
    range:
      start: 0x1010000
      end: 0x1010034
    cores:
    - main
  - !Ram
    name: SRAM1
    range:
      start: 0x20004000
      end: 0x20006000
    cores:
    - main
  - !Nvm
    name: DataFlash
    range:
      start: 0x40100000
      end: 0x40100800
    cores:
    - main
  flash_algorithms:
  - ra2e2_32k
  - ra2e2_data
  - ra2e2_conf
- name: R7FA2E2A7
  cores:
  - name: main
    type: armv8m
    core_access_options: !Arm
      ap: !v1 0
  memory_map:
  - !Nvm
    name: Flash
    range:
      start: 0x0
      end: 0x10000
    cores:
    - main
    access:
      boot: true
  - !Nvm
    name: ConfigROM
    range:
      start: 0x1010000
      end: 0x1010034
    cores:
    - main
  - !Ram
    name: SRAM1
    range:
      start: 0x20004000
      end: 0x20006000
    cores:
    - main
  - !Nvm
    name: DataFlash
    range:
      start: 0x40100000
      end: 0x40100800
    cores:
    - main
  flash_algorithms:
  - ra2e2_64k
  - ra2e2_data
  - ra2e2_conf
flash_algorithms:
- name: ra2e2_16k
  description: RA2E2 16KB Flash
  default: true
  instructions: [encoded data, 5212 characters]
  load_address: 0x20004020
  pc_init: 0x1
  pc_uninit: 0x679
  pc_program_page: 0x96d
  pc_erase_sector: 0x84d
  pc_erase_all: 0x751
  data_section_offset: 0xf10
  flash_properties:
    address_range:
      start: 0x0
      end: 0x4000
    page_size: 0x80
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x800
      address: 0x0
- name: ra2e2_data
  description: RA2E2 2KB DataFlash
  default: true
  instructions: [encoded data, 5224 characters]
  load_address: 0x20004020
  pc_init: 0x1
  pc_uninit: 0x679
  pc_program_page: 0x975
  pc_erase_sector: 0x855
  pc_erase_all: 0x751
  data_section_offset: 0xf18
  flash_properties:
    address_range:
      start: 0x40100000
      end: 0x40100800
    page_size: 0x4
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x400
      address: 0x0
- name: ra2e2_conf
  description: RA2E2 Config Area
  default: true
  instructions: [encoded data, 4888 characters]
  load_address: 0x20004020
  pc_init: 0x1
  pc_uninit: 0x679
  pc_program_page: 0x879
  pc_erase_sector: 0x761
  pc_erase_all: 0x751
  data_section_offset: 0xe1c
  flash_properties:
    address_range:
      start: 0x1010000
      end: 0x1010034
    page_size: 0x4
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x4
      address: 0x0
- name: ra2e2_32k
  description: RA2E2 32KB Flash
  default: true
  instructions: [encoded data, 5212 characters]
  load_address: 0x20004020
  pc_init: 0x1
  pc_uninit: 0x679
  pc_program_page: 0x96d
  pc_erase_sector: 0x84d
  pc_erase_all: 0x751
  data_section_offset: 0xf10
  flash_properties:
    address_range:
      start: 0x0
      end: 0x8000
    page_size: 0x80
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x800
      address: 0x0
- name: ra2e2_64k
  description: RA2E2 64KB Flash
  default: true
  instructions: [encoded data, 5212 characters]
  load_address: 0x20004020
  pc_init: 0x1
  pc_uninit: 0x679
  pc_program_page: 0x96d
  pc_erase_sector: 0x84d
  pc_erase_all: 0x751
  data_section_offset: 0xf10
  flash_properties:
    address_range:
      start: 0x0
      end: 0x10000
    page_size: 0x80
    erased_byte_value: 0xff
    program_page_timeout: 100
    erase_sector_timeout: 3000
    sectors:
    - size: 0x800
      address: 0x0
